import request from '@/utils/request'

// 获取会员列表数据
export function getOrderLists(params) {
  return request({
    url: 'api/vipinfo/getlistbypage',
    method: 'get',
    params
  })
}

// 获取会员信息
export function getMemberInfo(id) {
  return request({
    url: 'api/vipinfo/getdetails',
    method: 'get',
    params: {
      id
    }
  })
}
// 获取会员标签列表数据
export function getLabelLists(params) {
  return request({
    url: 'api/viplabelinfo/getlistbypage',
    method: 'get',
    params
  })
}

// 添加会员数据
export function addOrder(data) {
  return request({
    url: 'api/vipinfo/add',
    method: 'post',
    data
  })
}

// 编辑会员信息数据
export function editOrder(data) {
  return request({
    url: 'api/vipinfo/update',
    method: 'post',
    data
  })
}

// 删除工单数据
export function deleteOrder(ids) {
  return request({
    url: 'callcenterapi/api/BusOrder/delete',
    method: 'post',
    data: {
      ids
    }
  })
}
// 批量删除会员数据
export function deletesMember(ids) {
  return request({
    url: 'api/vipinfo/delete',
    method: 'post',
    data: {
      ids
    }
  })
}
// 获取会员积分规则
export function getRuleInfo() {
  return request({
    url: 'api/score/getrule',
    method: 'get',
  })
}
// 保存会员积分规则
export function saveRuleInfo(data) {
  return request({
    url: 'api/score/add',
    method: 'post',
    data
  })
}
// 添加标签信息
export function addLable(data) {
  return request({
    url: 'api/viplabelinfo/add',
    method: 'post',
    data
  })
}
// 编辑标签信息
export function editLable(data) {
  return request({
    url: 'api/viplabelinfo/update',
    method: 'post',
    data
  })
}
// 删除标签信息
export function deleteLable(ids) {
  return request({
    url: 'api/viplabelinfo/delete',
    method: 'post',
    data:{
      ids
    }
  })
}
// 获取标签信息详情
export function getLableDetail(id) {
  return request({
    url: 'api/viplabelinfo/getdetails',
    method: 'get',
    params:{
      id
    }
  })
}
// 获取档案转移列表数据
export function getFileTranserLists(params) {
  return request({
    url: 'api/cusmsg/getlistbypage',
    method: 'get',
    params
  })
}
// 获取档案转移信息详情
export function getFileTranserInfo(id) {
  return request({
    url: 'api/cusmsg/getdetails',
    method: 'get',
    params:{
      id
    }
  })
}
// 转移档案操作
export function getTransfer(ids,toperson) {
  return request({
    url: 'api/vipinfo/transfer',
    method: 'post',
    data:{
      ids,
      toperson,
    }
  })
}
// 处理转移
export function detailTransfer(ids,notagree) {
  return request({
    url: 'api/vipinfo/deal',
    method: 'post',
    data:{
      ids,
      notagree,
    }
  })
}
// 获取会员类型
export function getMemberType(params) {
  return request({
    url: 'api/dictionary/getlistbypage',
    method: 'get',
    params
  })
}
// 获取销售负责人
export function getSalesmanData(params) {
  return request({
    url: 'api/useraccount/getlistdrop',
    method: 'get',
    params
  })
}
